Scheduling Pages
List Event Page Dates
Read the dates still to come of an event page, reading on from where the last call ended, with the seats each has taken.
GET
/
event-types
/
{uuid}
/
sessions
List event page dates
curl --request GET \
--url https://api.zeeg.me/v2/event-types/{uuid}/sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zeeg.me/v2/event-types/{uuid}/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zeeg.me/v2/event-types/{uuid}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zeeg.me/v2/event-types/{uuid}/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.zeeg.me/v2/event-types/{uuid}/sessions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.zeeg.me/v2/event-types/{uuid}/sessions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zeeg.me/v2/event-types/{uuid}/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"timeZone": "Europe/Berlin",
"sessions": [
{
"uuid": "zg-G6740c1a2b3c4d",
"startAt": "2026-12-05T13:00:00Z",
"endAt": "2026-12-05T15:00:00Z",
"seats": 8,
"seatsTaken": 3
},
{
"uuid": "zg-G6740c1a2b3c4e",
"startAt": "2026-12-12T13:00:00Z",
"endAt": "2026-12-12T15:00:00Z",
"seats": 8,
"seatsTaken": 0
}
],
"nextFrom": "2026-12-12T13:00:00Z"
}{
"message": "Unauthenticated."
}Query Parameters
Response
OK
Last modified on November 21, 2026
⌘I
List event page dates
curl --request GET \
--url https://api.zeeg.me/v2/event-types/{uuid}/sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zeeg.me/v2/event-types/{uuid}/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zeeg.me/v2/event-types/{uuid}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zeeg.me/v2/event-types/{uuid}/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.zeeg.me/v2/event-types/{uuid}/sessions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.zeeg.me/v2/event-types/{uuid}/sessions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zeeg.me/v2/event-types/{uuid}/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"timeZone": "Europe/Berlin",
"sessions": [
{
"uuid": "zg-G6740c1a2b3c4d",
"startAt": "2026-12-05T13:00:00Z",
"endAt": "2026-12-05T15:00:00Z",
"seats": 8,
"seatsTaken": 3
},
{
"uuid": "zg-G6740c1a2b3c4e",
"startAt": "2026-12-12T13:00:00Z",
"endAt": "2026-12-12T15:00:00Z",
"seats": 8,
"seatsTaken": 0
}
],
"nextFrom": "2026-12-12T13:00:00Z"
}{
"message": "Unauthenticated."
}